declare type CommonItemProps = {
    caption: string;
    key: string;
};
export declare type AddonMenuItem<MenuItemProps = unknown> = {
    type: "MenuItem";
    menuItemProps: MenuItemProps & CommonItemProps;
};
export declare type AddonSubMenuItem<MenuItemProps = unknown, SubMenuItemProp = unknown> = {
    type: "SubMenuItem";
    subMenuItemProps: SubMenuItemProp & CommonItemProps;
    childItems: Array<AddonMenuItem<MenuItemProps> | AddonSubMenuItem<SubMenuItemProp>>;
};
export declare type AddonItem<MenuItemProps = unknown, SubMenuItemProp = unknown> = AddonMenuItem<MenuItemProps> | AddonSubMenuItem<MenuItemProps, SubMenuItemProp>;
declare class MenuStore {
    private _addonItems;
    constructor();
    addAddonItem<MenuItemProps = unknown, SubMenuItemProp = unknown>(itemInfo: AddonItem<MenuItemProps, SubMenuItemProp>): void;
    get addonMenuItems(): AddonItem[];
}
export declare const menuStore: MenuStore;
export {};
