interface IKeyFuncVal {
    [k: string]: (...args: any[]) => any;
}
export declare class EventEmitter<Events extends IKeyFuncVal, Key extends keyof Events = keyof Events> {
    logEmits: boolean;
    private listeners;
    emit<K extends Key>(eventName: K, ...restParams: Parameters<Events[K]>): void;
    on<K extends Key>(eventName: K, fn: Events[K]): () => void;
    once<K extends Key>(eventName: K, fn: Events[K]): () => void;
    off<K extends Key>(eventName: K, fn: Events[K]): void;
}
export {};
